import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { switchMap, tap } from 'rxjs/operators';
import { TreeNode } from 'primeng/api';
import { BehaviorSubject, Observable } from 'rxjs';
import { Candidate } from 'src/app/shared/models/candidate';
import { CandidateService } from 'src/app/shared/services/candidate.service';

@Injectable({
    providedIn: 'root'
})
export class candidatListService {
    constructor(private http: HttpClient, private candidatService: CandidateService) {}

    getCandidats(): Observable<Candidate[]>{
     return this.candidatService.getCandidats()
    }
}
